* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --card-title-border-color:#047c3f;
  --card-primary-color:#047c3f;
  --card-bg-color:#1d1c19;
  --bg-img: url(./assets/bg-yellow.svg);
}
body.blue {
  --card-title-border-color: #338af3;
  --card-primary-color: #338af3;
  --card-bg-color:#202024;
  --bg-img: url(./assets/bg-blue.svg);
}
body.green {
  --card-title-border-color:#f7dd43;
  --card-primary-color:#f7dd43;
  --card-bg-color:#1a1f1b;
  --bg-img: url(./assets/bg-green.svg);

}


ul {
  list-style: none;
}

body {
  background-color: #121214;
  background-image: var(--bg-img);
  background-repeat: no-repeat;
  background-position: top center;
  background-size: cover;

}

body * {
  font-family: 'Roboto', sans-serif;
}

#app {
  width: fit-content;
  margin: auto;
  padding-top: 52px;
}

header {
  margin-bottom: 63px;
  text-align: center;

}
a {
  color: yellow;

}
#cards {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.card {
  padding: 32px 23px;
  text-align: center;
  background: var(--card-bg-color);
  border-bottom: 2px solid var(--card-primary-color);
  border-radius: 35px;
}
.card h2 {
  display:flex;
  gap: 16px;
  justify-content: center;
  align-items: center;
  padding: 8px 16px;
  border: 1px solid var(--card-title-border-color);
  border-radius: 6px;
  width: fit-content;
  margin-inline: auto;
  margin-bottom: 53px;
  color: #f7dd43;
}
.card h2 span {
  color: #e1e1e6;
  font-size: 20px;
  text-transform: uppercase;

}
.card ul {
  display: flex;
  flex-direction: column;
  gap: 24px;
  width: 270px;
}

.card ul li {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.card ul li strong {
  font-weight: 900;
  font-size: 36px;
  line-height: 125%;
  color: #e1e1e6;
}
.card ul li + li {
  padding-top: 24px;
  border-top: 1px solid #323238;
}

.card ul li strong:hover,
.card ul li img:hover {
  transform: scale(1.3);
}

.card ul li strong,
.card ul li img {
  transition: transform 0.3s;
}

.card {
  opacity: 0;
  animation: appear .3s forwards;
}

@keyframes appear {
  0% {
    transform: translateY(-50px);
    opacity: 0;
  }

  100%{
    opacity: 1;
  }
}

@media (min-width: 700px){
  #cards {
    max-width: 1710px;
    flex-direction: row;
    flex-wrap: wrap;
  }

}